Package org.gradle.language.swift.plugins

# Class SwiftExecutablePlugin

java.lang.Object
org.gradle.language.swift.plugins.SwiftExecutablePlugin

All Implemented Interfaces:
  `Plugin<org.gradle.api.internal.project.ProjectInternal>`

@Incubating public class SwiftExecutablePlugin extends Object implements Plugin<org.gradle.api.internal.project.ProjectInternal>

A plugin that produces an executable from Swift source.

Adds compile, link and install tasks to build the executable. Defaults to looking for source files in `src/main/swift`.

Adds a `SwiftComponent` extension to the project to allow configuration of the executable.

Since:
  4.1

## Constructor Summary

Constructors
Constructor
Description
`SwiftExecutablePlugin(org.gradle.api.internal.file.FileOperations fileOperations)`
Injects a `FileOperations` instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(org.gradle.api.internal.project.ProjectInternal project)`
Apply this plugin to the given target object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SwiftExecutablePlugin

@Inject public SwiftExecutablePlugin(org.gradle.api.internal.file.FileOperations fileOperations)
Injects a `FileOperations` instance.

Since:
  4.2

## Method Details

### apply

public void apply(org.gradle.api.internal.project.ProjectInternal project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<org.gradle.api.internal.project.ProjectInternal>`
Parameters:
  `project` - The target object